CREATE TABLE ANIMALS (
      ID INT , 
      NAME VARCHAR(10) , 
      AREA VARCHAR(10) , 
      HEIGHT INT , 
      WEIGHT INT , 
      GIF LONG BIT VARYING ) ;

CREATE UNIQUE  BTREE INDEX ANIMALSID ON ANIMALS (ID) ;






CREATE TABLE AUTHORS (
      AU_ID INT , 
      AUTHOR VARCHAR(50) , 
      YearBorn INT ) ;

CREATE  BTREE INDEX AUTHORSAU_ID ON AUTHORS (AU_ID) ;

CREATE UNIQUE  BTREE INDEX PRIMARYKEY ON AUTHORS (AU_ID) ;


insert into Authors (Au_ID, Author, YearBorn) values(1, 'Jacobs, Russell', 1892);
insert into Authors (Au_ID, Author, YearBorn) values(2, 'Metzger, Philip W.', 1972);
insert into Authors (Au_ID, Author, YearBorn) values(3, 'Boddie, John', 1952);
insert into Authors (Au_ID, Author, YearBorn) values(4, 'Sydow, Dan Parks', 1944);
insert into Authors (Au_ID, Author, YearBorn) values(5, 'Lloyd, John', 1912);
insert into Authors (Au_ID, Author, YearBorn) values(6, 'Thiel, James R.', 1909);
insert into Authors (Au_ID, Author, YearBorn) values(7, 'Ingham, Kenneth', 1902);
insert into Authors (Au_ID, Author, YearBorn) values(8, 'Wellin, Paul', 1913);
insert into Authors (Au_ID, Author, YearBorn) values(9, 'Kamin, Sam', 1974);
insert into Authors (Au_ID, Author, YearBorn) values(10, 'Gaylord, Richard', 1937);
insert into Authors (Au_ID, Author, YearBorn) values(11, 'Curry, Dave', 1935);
insert into Authors (Au_ID, Author, YearBorn) values(12, 'Gardner, Juanita Mercado', 1952);
insert into Authors (Au_ID, Author, YearBorn) values(13, 'Knuth, Donald E.', 1954);
insert into Authors (Au_ID, Author, YearBorn) values(14, 'Hakim, Jack', 1932);
insert into Authors (Au_ID, Author, YearBorn) values(15, 'Winchell, Jeff', 1964);
insert into Authors (Au_ID, Author, YearBorn) values(16, 'Clark, Claudia', 1910);
insert into Authors (Au_ID, Author, YearBorn) values(17, 'Scott, Jack', 1912);
insert into Authors (Au_ID, Author, YearBorn) values(18, 'Coolbaugh, James', 1950);
insert into Authors (Au_ID, Author, YearBorn) values(19, 'Ladd, Scott Robert', 1943);
insert into Authors (Au_ID, Author, YearBorn) values(20, 'Gabriel, Richard P.', 1932);



CREATE TABLE PUBLISHERS (
      PUBID INT , 
      NAME VARCHAR(50) , 
      CompanyName VARCHAR(255) , 
      ADDRESS VARCHAR(50) , 
      CITY VARCHAR(20) , 
      STATE VARCHAR(10) , 
      ZIP VARCHAR(15) , 
      TELEPHONE VARCHAR(15) , 
      FAX VARCHAR(15) , 
      COMMENTS VARCHAR(255) ) ;

CREATE UNIQUE  BTREE INDEX PUBLISHERSPUBID ON PUBLISHERS (PUBID) ;

insert into Publishers(PubID, Name, CompanyName, Address, City, State, Zip) values (1, 'SAMS', 'SAMS', '11711 N. College Ave., Ste 140', 'Carmel', 'IN', '46032');
insert into Publishers(PubID, Name, CompanyName, Address, City, State, Zip, Telephone) values (2, 'PRINTICE HALL', 'PRINTICE HALL', '15 Columnbus Cir.', 'New York', 'NY', '10023', '800-922-0579');
insert into Publishers(PubID, Name, CompanyName) values (3, 'M & T', 'M & T BOOKS');
insert into Publishers(PubID, Name, CompanyName) values (4, 'MIT', 'MIT PR');
insert into Publishers(PubID, Name, CompanyName, Address, City, State, Zip, Telephone) values (5, 'MACMILLAN COMPUTER', 'MACMILLAN COMPUTER PUB', '11 W. 42nd St., 3rd flr.', 'New York', 'NY', '10036', '212-869-7440');
insert into Publishers(PubID, Name, CompanyName) values (6, 'HIGHTEXT PUBNS', 'HIGHTEXT PUBNS');
insert into Publishers(PubID, Name, CompanyName) values (7, 'SPRINGER VERLAG', 'SPRINGER VERLAG');
insert into Publishers(PubID, Name, CompanyName, Address, City, State, Zip) values (8, 'OREILLY & ASSOC', 'OREILLY & ASSOC', '90 Sherman St.', 'Cambridge', 'MA', '02140');
insert into Publishers(PubID, Name, CompanyName, Address, City, State, Zip, Telephone, Fax) values (9, 'ADDISON-WESLEY', 'ADDISON-WESLEY PUB CO', 'Rte 128', 'Reading', 'MA', '01867', '617-944-3700', '617-964-9460');
insert into Publishers(PubID, Name, CompanyName, Address, City, State, Zip, Telephone, Fax) values (10, 'TOHN WILEY & SONS', 'TOHN WILEY & SONS', '605 Third Ave', 'New York', 'NY', '10158', '212-850-6088', '212-850-6088');
insert into Publishers(PubID, Name, CompanyName) values (11, 'SINGULAR', 'SINGULAR PUB GROUP');
insert into Publishers(PubID, Name, CompanyName) values (12, 'Duke Press', 'Duke Press');
insert into Publishers(PubID, Name, CompanyName) values (13, 'Oxford University', 'Oxford University Press');
insert into Publishers(PubID, Name, CompanyName) values (14, 'Mit Press', 'Mit Press');
insert into Publishers(PubID, Name, CompanyName) values (15, 'CAMBRIDGE UNIV', 'CAMBRIDGE UNIV PR');
insert into Publishers(PubID, Name, CompanyName) values (16, 'Q E D', 'Q E D PUB CO');
insert into Publishers(PubID, Name, CompanyName) values (17, 'Cambridge University', 'Cambridge University Press');
insert into Publishers(PubID, Name, CompanyName) values (18, 'WORLD SCIENTIFIC', 'WORLD SCIENTIFIC PUB CO');
insert into Publishers(PubID, Name, CompanyName) values (19, 'IDG', 'IDG BOOKS WORLDWIDE');
insert into Publishers(PubID, Name, CompanyName) values (20, 'GOWER PUB', 'GOWER PUB CO');
insert into Publishers(PubID, Name, CompanyName, Address, City, State, Zip, Telephone, Fax) values (21, 'John Wiley', 'John Wiley', '605 Third Ave', 'New York', 'NY', '10158', '212-850-6000', '212-850-6088');
insert into Publishers(PubID, Name, CompanyName) values (22, 'MCGRAW HILL TEXT', 'MCGRAW HILL TEXT')
