CREATE TABLE "animals" (
	"id" int4 NOT NULL,
	"name" character varying(10),
	"area" character varying(10),
	"height" int4,
	"weight" int4,
	"gif" oid);
CREATE TABLE "authors" (
	"au_id" int4 NOT NULL,
	"author" character varying(50),
	"yearborn" int4);
CREATE TABLE "publishers" (
	"pubid" int4 NOT NULL,
	"name" character varying(50),
	"companyname" character varying(255),
	"address" character varying(50),
	"city" character varying(20),
	"state" character varying(10),
	"zip" character varying(15),
	"telephone" character varying(15),
	"fax" character varying(15),
	"comments" text);
COPY "animals" FROM stdin;
\.
COPY "authors" FROM stdin;
1	Jacobs, Russell	1892
2	Metzger, Philip W.	1972
3	Boddie, John	1952
4	Sydow, Dan Parks	1944
5	Lloyd, John	1912
6	Thiel, James R.	1909
7	Ingham, Kenneth	1902
8	Wellin, Paul	1913
9	Kamin, Sam	1974
10	Gaylord, Richard	1937
11	Curry, Dave	1935
12	Gardner, Juanita Mercado	1952
13	Knuth, Donald E.	1954
14	Hakim, Jack	1932
16	Clark, Claudia	1910
17	Scott, Jack	1912
18	Coolbaugh, James	1950
19	Ladd, Scott Robert	1943
20	Gabriel, Richard P.	1932
\.
COPY "publishers" FROM stdin;
1	SAMS	SAMS	11711 N. College Ave., Ste 140	Carmel	IN	46032	\N	\N	\N
2	PRINTICE HALL	PRINTICE HALL	15 Columnbus Cir.	New York	NY	10023	800-922-0579	\N	\N
3	M & T	M & T BOOKS	\N	\N	\N	\N	\N	\N	\N
4	MIT	MIT PR	\N	\N	\N	\N	\N	\N	\N
5	MACMILLAN COMPUTER	MACMILLAN COMPUTER PUB	11 W. 42nd St., 3rd flr.	New York	NY	10036	212-869-7440	\N	\N
6	HIGHTEXT PUBNS	HIGHTEXT PUBNS	\N	\N	\N	\N	\N	\N	\N
7	SPRINGER VERLAG	SPRINGER VERLAG	\N	\N	\N	\N	\N	\N	\N
8	OREILLY & ASSOC	OREILLY & ASSOC	90 Sherman St.	Cambridge	MA	02140	\N	\N	\N
9	ADDISON-WESLEY	ADDISON-WESLEY PUB CO	Rte 128	Reading	MA	01867	617-944-3700	617-964-9460	\N
10	TOHN WILEY & SONS	TOHN WILEY & SONS	605 Third Ave	New York	NY	10158	212-850-6088	212-850-6088	\N
11	SINGULAR	SINGULAR PUB GROUP	\N	\N	\N	\N	\N	\N	\N
12	Duke Press	Duke Press	\N	\N	\N	\N	\N	\N	\N
13	Oxford University	Oxford University Press	\N	\N	\N	\N	\N	\N	\N
14	Mit Press	Mit Press	\N	\N	\N	\N	\N	\N	\N
15	CAMBRIDGE UNIV	CAMBRIDGE UNIV PR	\N	\N	\N	\N	\N	\N	\N
16	Q E D	Q E D PUB CO	\N	\N	\N	\N	\N	\N	\N
17	Cambridge University	Cambridge University Press	\N	\N	\N	\N	\N	\N	\N
18	WORLD SCIENTIFIC	WORLD SCIENTIFIC PUB CO	\N	\N	\N	\N	\N	\N	\N
19	IDG	IDG BOOKS WORLDWIDE	\N	\N	\N	\N	\N	\N	\N
20	GOWER PUB	GOWER PUB CO	\N	\N	\N	\N	\N	\N	\N
21	John Wiley	John Wiley	605 Third Ave	New York	NY	10158	212-850-6000	212-850-6088	\N
22	MCGRAW HILL TEXT	MCGRAW HILL TEXT	\N	\N	\N	\N	\N	\N	\N
\.
CREATE UNIQUE INDEX "animalsid" on "animals" using btree ( "id" "int4_ops" );
CREATE UNIQUE INDEX "authorsau_id" on "authors" using btree ( "au_id" "int4_ops" );
CREATE UNIQUE INDEX "pkey" on "publishers" using btree ( "pubid" "int4_ops" );
