
// The header file was created with 'javah -jni DemoNative'
#include "DemoNative.h"
#include <time.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/timeb.h>
#include <string.h>

// the native method return a String descripting Time.
JNIEXPORT jstring JNICALL Java_DemoNative_nativeTime(JNIEnv *env, jobject obj)
{
	char buffer[2048];
	char tmpbuf[256], ampm[] = "AM";
    time_t ltime;    
	struct _timeb tstruct;
    struct tm *today, *gmt, xmas = { 0, 0, 12, 25, 11, 93 };
	int index;
    /* Set time zone from TZ environment variable. If TZ is not set,
     * the operating system is queried to obtain the default value 
     * for the variable.
	 */    
	_tzset();
    /* Display operating system-style date and time. */    
	_strtime( tmpbuf );
    index = sprintf(buffer, "OS time:\t\t\t\t<font color = red size = 4>%s</font><p>", tmpbuf );
	_strdate( tmpbuf );
    index += sprintf(buffer + index, "OS date:\t\t\t\t<font color = red size = 4>%s</font><p>", tmpbuf );
    /* Get UNIX-style time and display as number and string. */
    time( &ltime );
    index += sprintf(buffer + index, "Time in seconds since UTC 1/1/70:\t<font color = red size = 4>%ld</font><p>", ltime );
    index += sprintf(buffer + index, "UNIX time and date:\t\t\t<font color = red size = 4>%s</font><p>", ctime( &ltime ) );
    /* Display UTC. */    
	gmt = gmtime( &ltime );
    index += sprintf(buffer + index, "Coordinated universal time:\t\t<font color = red size = 4>%s</font>", asctime( gmt ) );
    /* Convert to time structure and adjust for PM if necessary. */
    today = localtime( &ltime );    
	if( today->tm_hour > 12 )    
	{
       strcpy( ampm, "PM" );   today->tm_hour -= 12;    
    }
    if( today->tm_hour == 0 )  /* Adjust if midnight hour. */
       today->tm_hour = 12;
    /* Note how pointer addition is used to skip the first 11 
     * characters and printf is used to trim off terminating      
	 * characters.
     */    
    index += sprintf(buffer + index, "12-hour time:\t\t\t\t<font color = red size = 4>%.8s %s</font><p>",asctime( today ) + 11, ampm );
    /* Print additional time information. */    
	_ftime( &tstruct );
    index += sprintf(buffer + index, "Plus milliseconds:\t\t\t<font color = red size = 4>%u</font><p>", tstruct.millitm );
    index += sprintf(buffer + index, "Zone difference in seconds from UTC:\t<font color = red size = 4>%u</font><p>", 
             tstruct.timezone );
    index += sprintf(buffer + index, "Time zone name:\t\t\t\t<font color = red size = 4>%s</font><p>", _tzname[0] );
    index += sprintf(buffer + index, "Daylight savings:\t\t\t<font color = red size = 4>%s</font><p>", 
             tstruct.dstflag ? "YES" : "NO" );
    /* Make time for noon on Christmas, 1993. */
    if( mktime( &xmas ) != (time_t)-1 )
        index += sprintf(buffer +index, "Christmas\t\t\t\t<font color = red size = 4>%s</font><p>", asctime( &xmas ) );
    /* Use time structure to build a customized time string. */
    today = localtime( &ltime );
    /* Use strftime to build a customized time string. */
    strftime( tmpbuf, 256,
         "Today is <font color = red size = 4>%A</font>, day <font color = red size = 4>%d</font> of <font color = red size = 4>%B</font> in the year <font color = red size = 4>%Y</font>.<p>", today );
    index += sprintf(buffer + index, tmpbuf );
	return (*env)->NewStringUTF(env, buffer);
}
