#!/bin/sh

CURDIR=`pwd`

MACHINE=`uname -m`
JVM="java_home"
LIBRARY=$JVM/../lib/classes.zip
VERSION="2.1.01"
IASP="iasp21"
JAVA=""
TEMP=""
CLASSPATH=""

	echo""
	echo "***********************************************************************" 
        echo "*           Instant ASP(tm)"$VERSION" Enterprise Edition Install             *" 
        echo "*                                                                     *" 
	echo "* Instant ASP(tm)"$VERSION" requires Java Development Kit(preferably the     *"
	echo "* latest version for your operating system)for its operation.Zeus and *"
        echo "* SWS Beta users may skip the following step.                         *"
	echo "***********************************************************************" 
        echo""


if [ "$MACHINE" = "mips" ]
then

#prompts user to specify the location where java and Klasses.jar are.

	while true
	do
		echo ""
		echo "Please enter the full path to your Java Virtual Machine."
		echo "e.g. /usr/bin/java, Q/q(quit), S/s(skip):"
		echo "> " |tr -d '\012'
		read JAVA

		case $JAVA in
		s|S)
			break
			;;
		q|Q)
			exit 0
			;;
		*)
			if [ "$JAVA" = "" -o ! -f $JAVA ] ; then
				echo "File \"$JAVA\" does not exist, please re-enter."
				continue
			fi
			
			if [ -f $JAVA ] ; then
				JAVA="$JAVA -mx32768000 -classpath"
			fi

			;;
		esac

		break;

	done

	while true
	do
		echo ""
		echo "Please enter the library of your Java Virtual Machine with the full path."
		echo "e.g. /usr/share/kaffe/Klasses.jar, Q/q(quit), S/s(skip):"
		echo "> " |tr -d '\012'
		read LIBRARY

		case $LIBRARY in
		s|S)
			break
			;;
		q|Q)
			exit 0
			;;
		*)
			if [ "$LIBRARY" = "" -o ! -f $LIBRARY ] ; then
				echo "File \"$LIBRARY\" does not exist, please re-enter."
				continue
			fi
			
			;;
		esac

		break;

	done

	echo "linux mips"
else
	echo  $MACHINE


#Prompt user to sepcify the JVM. 
	
	while true
	do 
		echo ""	
		echo "Please enter the full path to your JDK's bin directory."
		echo "e.g. /usr/jdk1.1.6/bin, Q/q(quit), S/s(skip):" 
		echo "> " |tr -d '\012'
		read JVM

		case $JVM in
		s|S)
			break
			;;
		q|Q)
			exit 0
			;;
		*)
			if [ "$JVM" = "" ] ; then
				continue
			fi
			if [ ! -d $JVM ] ; then
				echo "Directory $JVM does not exist, please re-enter."
				continue
			else
				cd $JVM
				JVM=`pwd`
			fi
			
			if [ -f $JVM/java ] ; then
				JAVA="$JVM/java -mx32768000 -classpath"
				LIBRARY=$JVM/../lib/classes.zip
				ENP_LIBS="$JVM/../lib/tools.jar"
			fi

			if [ -f $JVM/jre ] ; then
				JAVA="$JVM/jre -mx32768000 -cp"
				LIBRARY=$JVM/../lib/classes.zip
				ENP_LIBS="$JVM/../lib/tools.jar"
			fi

			if [ "$JAVA" = "" ] ; then
				echo "File \"$JVM/java\" or \"$JVM/jre\" does not exist, please re-enter."
				continue

			fi
			;;
		esac

		break;
	done

fi

cd $CURDIR

#Extracting  installation program
while true
do
	echo ""
	echo "Enter the absolute directory under which Instant ASP should be installed." 
	echo "(./$IASP will be created underneath.)"
	echo "> " | tr -d '\012'
	read DESTDIR
		if [ "$DESTDIR" = "" ] ; then 
			continue
		fi
		if [ ! -d $DESTDIR ] ; then
			echo "Directory $DESTDIR does not exist,  create it (Y/N/Q)?"
			echo "> " | tr -d '\012'
				read answer
				case $answer in
				Y|y)
					echo "created the path!"
					mkdir -p $DESTDIR
					cd $DESTDIR
					break
					;;
				Q|q)
					exit 0
					;;
				*)
					continue
				esac

				break
			cd $DESTDIR
			break             
		fi
	cd $DESTDIR
	break
done

DESTDIR=`pwd`
cd $DESTDIR

if [ -d $IASP ]; then
	while true
	do
        echo ""
		echo "An installation of Instant ASP exists in \"$DESTDIR\"."
		echo "Do you want to reinstall (Y/N)? " | tr -d '\012'
		read answer1
		case $answer1 in
		Y|y)
            echo "" 
			echo "Deleting the existing Instant ASP directory..."
			rm -fr $IASP
			break
			;;
		N|n)
			exit 0
			;;
		*)
			continue
		esac
	done
fi

echo ""
echo "Extracting files ......"
echo ""

tar -xf $CURDIR/$IASP.tar

if [ $? -ne 0 ]; then
        exit 1
else
        echo "Extraction done!"
fi                              

TEMP=$DESTDIR/$IASP
cd $TEMP

while true
do
	case $TEMP in
	/)
		break
		;;
	*)
		cd ..
		TEMP=`pwd`
		chmod a+rx $TEMP
		continue
	esac
done

cd $CURDIR

CLASSPATH=$LIBRARY:$ENP_LIBS:$DESTDIR/$IASP/lib/jsdk.jar:$DESTDIR/$IASP/lib/iasplib.jar:$DESTDIR/$IASP/lib/activation.jar:$DESTDIR/$IASP/lib/asp2j.jar:$DESTDIR/$IASP/lib/rjax.jar:$DESTDIR/$IASP/lib/ejbcorba.jar:$DESTDIR/$IASP/lib/jndi.jar:$DESTDIR/$IASP/lib/samples.jar:$DESTDIR/$IASP/lib/hado.jar:$DESTDIR/$IASP/lib/pop3.jar:$DESTDIR/$IASP/lib/mail.jar:$DESTDIR/$IASP/lib/iasp_fileup.jar:$DESTDIR/$IASP/lib/iasp_mail.jar:$DESTDIR/$IASP/lib/iasp_grid.jar:$DESTDIR/$IASP/lib/iasp_nntp.jar:$DESTDIR/$IASP/lib/iasp_exec.jar:$DESTDIR/$IASP/lib/iasp_inet.jar:$DESTDIR/$IASP/lib/iasp_upload.jar:$DESTDIR/$IASP/lib/iasp_http.jar:$DESTDIR/$IASP/lib/iasp_pop3.jar:$DESTDIR/$IASP/lib/iasp_chart.jar:$DESTDIR/$IASP/lib/iasp_image.jar:$DESTDIR/$IASP/lib/iasp_sock.jar:$DESTDIR/$IASP/lib/iasp_xmldom.jar:$DESTDIR/$IASP/servlets:$DESTDIR/$IASP/lib/rjaxADODB.jar

cat >$DESTDIR/$IASP/start-server.sh << EOF
$JAVA $CLASSPATH servlet.http.HttpServer
EOF
echo ""
echo "Script start-server.sh generated."
chmod u+x $DESTDIR/$IASP/start-server.sh

#create stop-server.sh file under $DESTDIR/$IASP directory:
cat >$DESTDIR/$IASP/stop-server.sh << EOF
$JAVA $CLASSPATH servlet.http.HttpServerControl webserver
EOF
echo ""
echo "Script stop-server.sh generated."
chmod u+x $DESTDIR/$IASP/stop-server.sh

#create start-admin.sh file under $DESTDIR/$IASP directory:
cat >$DESTDIR/$IASP/start-admin.sh << EOF
$JAVA $CLASSPATH servlet.webserver.WebHttpServer
EOF
echo ""
echo "Script start-admin.sh generated."
chmod u+x $DESTDIR/$IASP/start-admin.sh

#create stop-admin.sh file under $DESTDIR/$IASP directory:
cat >$DESTDIR/$IASP/stop-admin.sh << EOF
$JAVA $CLASSPATH servlet.http.HttpServerControl adminserver
EOF
echo ""
echo "Script stop-admin.sh generated."
chmod u+x $DESTDIR/$IASP/stop-admin.sh

#create connector.sh file under $DESTDIR/$IASP directory:
cat >$DESTDIR/$IASP/connector.sh << EOF
$JAVA $LIBRARY:$ENP_LIBS:$DESTDIR/$IASP/lib/jsdk.jar:$DESTDIR/$IASP/lib/iasplib.jar:$DESTDIR/$IASP/lib/asp2j.jar connector.iasp_connector
EOF
echo ""
echo "Script connector.sh generated."
chmod u+x $DESTDIR/$IASP/connector.sh


#Prompt user to configure iasp with their web server
while true
do
  echo ""
  echo "The following steps will configure our servlet interface to work with"
  echo "your Web server.  These steps are NOT NEEDED for Zeus and Sun Web "
  echo "Server 2.1 Beta."
  echo "" 
  echo "Would you like to configure your web server for Instant ASP now [Y/N]?" | tr -d '\012'
	read answer
	case $answer in
	Y|y)
        echo "Launching Java VM to run IASP servlet connector ..."	
		$JAVA $LIBRARY:$DESTDIR/$IASP/lib/iasplib.jar connector.iasp_connector
		echo
		break
		;;
	N|n)
		echo "You can configure your web server at a later time by running connector.sh under \"$DESTDIR/$IASP/\""
		echo
		break
		;;
	*)
		continue
	esac
done

$JAVA $LIBRARY:$DESTDIR/$IASP/lib/iasplib.jar:/$DESTDIR/$IASP/lib/jsdk.jar VersionInfo.VersionInfo

echo " "
echo "Thank you very much for using Instant ASP! "
echo " "
